Your Cart
Fastest and most convenient way to contact us is via email at info@itworkup.co.za
All emails will be replied to multiple times within 24 hours.
Alternatively, you can visit our offices.
Thank you for your continued support!
USB Ladekabel 5 V fr Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie - Rasiere – photo 1
DELOCK

USB Ladekabel 5 V fr Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie - Rasiere

R652
incl. VAT: R750
  • Stock: Backordered - delivers in 10-15 days
  • Brand: DELOCK
  • Model: 90987
  • Weight: 0.03 kg
  • EAN: 4043619909872
  • Product code: 1703230
Backordered goods Delivery in 10–15 working days

Available Options

R652 incl. VAT: R750
SavePDF
Product information is being updated. We are completing the description and specifications of this product, so some details may still be missing.

Description

DeLOCK USB Ladekabel 5 V für Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie - Rasierer Ladegerät Ersatzkabel 1,2 m. Kabellänge: 1,2 m, Anschluss 1: USB A, Anschluss 2: 2-polig

Price History

Price History

652 ZAR
A graph will appear here once more price history has been collected.